# Class PrefixMapping

java.lang.Object
nu.validator.saxtree.PrefixMapping

public final class PrefixMapping extends Object
A prefix mapping.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`PrefixMapping(String prefix, String uri)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPrefix()`
Returns the prefix.
`String`
`getUri()`
Returns the uri.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrefixMapping

public PrefixMapping(String prefix, String uri)
Constructor.

Parameters:
  `prefix` - the prefix
  `uri` - the URI

## Method Details

### getPrefix

public String getPrefix()
Returns the prefix.

Returns:
  the prefix

### getUri

public String getUri()
Returns the uri.

Returns:
  the uri